org.jfree.xml.util

## Class AttributeDefinition

- java.lang.Object
- - org.jfree.xml.util.AttributeDefinition

-     public class AttributeDefinition
      extends java.lang.Object

  An attribute definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeDefinition(java.lang.String propertyName, java.lang.String attributeName, AttributeHandler handler)` Creates a new attribute definition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttributeName()` Returns the attribute name.
    `AttributeHandler` | `getHandler()` Returns the handler.
    `java.lang.String` | `getPropertyName()` Returns the property name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeDefinition

          public AttributeDefinition(java.lang.String propertyName,
                             java.lang.String attributeName,
                             AttributeHandler handler)

      Creates a new attribute definition.
      Parameters:
        `propertyName` - the property name.
        `attributeName` - the attribute name.
        `handler` - the handler.

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Returns the property name.
      Returns:
        the property name.

    - #### getAttributeName

          public java.lang.String getAttributeName()

      Returns the attribute name.
      Returns:
        the attribute name.

    - #### getHandler

          public AttributeHandler getHandler()

      Returns the handler.
      Returns:
        the handler.